﻿Public Class Form1
    Dim ClsPrv_NSDCC As NSDClientCount = Nothing

    #Region "Form."
        #Region "Sub Form1_FormClosed : FormClosedイベント."
            Private Sub Form1_FormClosed(sender As Object, e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
                Try
                    ' 解放処理.
                    If Not (ClsPrv_NSDCC Is Nothing) Then
                        ClsPrv_NSDCC.Dispose()
                        ClsPrv_NSDCC = Nothing
                    End If
                Catch ex As Exception

                End Try
            End Sub
        #End Region

        #Region "Sub Form1_Load : Loadイベント."
            Private Sub Form1_Load( sender As System.Object,  e As System.EventArgs) Handles MyBase.Load
                Try
                    ClsPrv_NSDCC = New NSDClientCount

                    Dim Str_MailSlotName As String = "Test\Client\Count\Check"
                    If Not ClsPrv_NSDCC.Init_ClientCount(Str_MailSlotName, Me.RB_Check1.Checked, AddressOf NSDCCTimerTick) Then
                        MsgBox("初期化に失敗しました。" & ControlChars.CrLf & "コンピュータを再起動してください。")
                        End
                    End If
                Catch ex As Exception
                
                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub NSDCCTimerTick : 定期的に発生するイベント."
        Private Sub NSDCCTimerTick(ByVal sender As Object, ByVal e As NSDClientCount.NSDClientCountEventArgs)
            Try
                CType(sender, NSDClientCount).TimerEnabled = False

                ' コンピュータ名をセットします.
                MyClass.SetComputerName(e.List)

            Catch ex As Exception
            Finally
                CType(sender, NSDClientCount).TimerEnabled = True
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Retry_Click : 再取得ボタン."
        Private Sub Btn_Retry_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Retry.Click
            Try
                Dim Int_WaitTime As Integer = 1000
                Dim ClsPrv_List As Collections.ArrayList = Nothing

                ClsPrv_NSDCC.GetClientList(ClsPrv_List, Int_WaitTime)
                ' コンピュータ名をセットします.
                MyClass.SetComputerName(ClsPrv_List)
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub SetComputerName : コンピュータ名をセットします."
        Private Sub SetComputerName(ByVal ClsVal_List As Collections.ArrayList)
            Try
                With Me.LB_Computer
                    .Items.Clear()

                    If Not (ClsVal_List Is Nothing) Then
                        For Int_Loop As Integer = 0 to ClsVal_List.Count - 1
                            .Items.Add(ClsVal_List.Item(Int_Loop))
                        Next
                    End If
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub RB_Check1_CheckedChanged : 終了時確認の変更."
        Private Sub RB_Check1_CheckedChanged( sender As System.Object,  e As System.EventArgs) Handles RB_Check1.CheckedChanged
            Try
                If Not (ClsPrv_NSDCC Is Nothing) Then
                    ClsPrv_NSDCC.EndFlag = CType(sender, RadioButton).Checked
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_End_Click : 閉じるボタン."
        Private Sub Btn_End_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_End.Click
            Try
                Me.Close()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

End Class
